Index: PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -8,127 +8,121 @@
 
 
-@using (Html.BeginForm())
+@using (Html.BeginForm()) 
 {
     @Html.AntiForgeryToken()
-
-    <div class="form-horizontal">
-        <h4>VetCenter</h4>
-        <hr />
-        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
-        <div class="form-group">
-            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.adress, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.adress, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.adress, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.workinghours, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.workinghours, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.workinghours, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.phonenumber, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.phonenumber, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.phonenumber, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.latitude, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.latitude, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.latitude, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.longitude, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.longitude, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.longitude, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        @*<div class="form-group">
-    @Html.LabelFor(model => model.citiesid, htmlAttributes: new { @class = "control-label col-md-2" })
-    <div class="col-md-10">
-    @Html.EditorFor(model => model.citiesid, new { htmlAttributes = new { @class = "form-control" } })
-    @Html.ValidationMessageFor(model => model.citiesid, "", new { @class = "text-danger" })
-    </div>
-    </div>*@
-
-        @*  <div class="form-group">
-    <label for="citiesid">Citie:</label>
-    <select class="form-control" id="citiesid" name="citiesid">
-    <option value="">Select city</option>
-    <option value="1">Скопје</option>
-    <option value="1">Охрид</option>
-    <option value="1">Скопје</option>
-    <option value="1">Берово</option>
-    <option value="2">Битола</option>
-    <option value="3">Богданци</option>
-    <option value="4">Валандово</option>
-    <option value="5">Велес</option>
-    <option value="6">Виница</option>
-    <option value="7">Гевгелија</option>
-    <option value="8">Гостивар</option>
-    <option value="9">Дебар</option>
-    <option value="10">Делчево</option>
-    <option value="11">Демир Капија</option>
-    <option value="12">Демир Хисар</option>
-    <option value="13">Кавадарци</option>
-    <option value="14">Кичево</option>
-    <option value="15">Кочани</option>
-    <option value="16">Кратово</option>
-    <option value="17">Крива Паланка</option>
-    <option value="18">Крушево</option>
-    <option value="19">Куманово</option>
-    <option value="20">Македонска Каменица</option>
-    <option value="21">Македонски Брод</option>
-    <option value="22">Неготино</option>
-    <option value="23">Охрид</option>
-    <option value="24">Пехчево</option>
-    <option value="25">Прилеп</option>
-    <option value="26">Пропиштип</option>
-    <option value="27">Радовиш</option>
-    <option value="28">Ресен</option>
-    <option value="29">Свети Николе</option>
-    <option value="30">Скопје</option>
-    <option value="31">Струга</option>
-    <option value="32">Струмица</option>
-    <option value="33">Тетово</option>
-    <option value="34">Штип</option>
-    </select>
-    </div>
-    *@
-
-        <div class="form-group">
-            <label asp-for="citiesid" class="control-label"></label>
-            <select asp-for="citiesid" asp-items="ViewBag.Citiess" class="form-control"></select>
-            <span asp-validation-for="citiesid" class="text-danger"></span>
-        </div>
-        <div class="form-group">
-            <div class="col-md-offset-2 col-md-10">
-                <input type="submit" value="Create" class="btn btn-default" />
-            </div>
+    
+<div class="form-horizontal">
+    <h4>VetCenter</h4>
+    <hr />
+    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
+    <div class="form-group">
+        @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
         </div>
     </div>
+
+    <div class="form-group">
+        @Html.LabelFor(model => model.adress, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.adress, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.adress, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.workinghours, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.workinghours, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.workinghours, "", new { @class = "text-danger" })
+        </div>
+    </div>
+
+    <div class="form-group">
+        @Html.LabelFor(model => model.phonenumber, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.phonenumber, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.phonenumber, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.latitude, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.latitude, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.latitude, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.longitude, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.longitude, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.longitude, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    @*<div class="form-group">
+            @Html.LabelFor(model => model.citiesid, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.EditorFor(model => model.citiesid, new { htmlAttributes = new { @class = "form-control" } })
+                @Html.ValidationMessageFor(model => model.citiesid, "", new { @class = "text-danger" })
+            </div>
+        </div>*@
+
+    <div class="form-group">
+        <label for="citiesid">Citie:</label>
+        <select class="form-control" id="citiesid" name="citiesid">
+            <option value="">Select city</option>
+            <option value="1">Скопје</option>
+            <option value="1">Охрид</option>
+            <option value="1">Скопје</option>
+           @*  <option value="1">Берово</option>
+            <option value="2">Битола</option>
+            <option value="3">Богданци</option>
+            <option value="4">Валандово</option>
+            <option value="5">Велес</option>
+            <option value="6">Виница</option>
+            <option value="7">Гевгелија</option>
+            <option value="8">Гостивар</option>
+            <option value="9">Дебар</option>
+            <option value="10">Делчево</option>
+            <option value="11">Демир Капија</option>
+            <option value="12">Демир Хисар</option>
+            <option value="13">Кавадарци</option>
+            <option value="14">Кичево</option>
+            <option value="15">Кочани</option>
+            <option value="16">Кратово</option>
+            <option value="17">Крива Паланка</option>
+            <option value="18">Крушево</option>
+            <option value="19">Куманово</option>
+            <option value="20">Македонска Каменица</option>
+            <option value="21">Македонски Брод</option>
+            <option value="22">Неготино</option>
+            <option value="23">Охрид</option>
+            <option value="24">Пехчево</option>
+            <option value="25">Прилеп</option>
+            <option value="26">Пропиштип</option>
+            <option value="27">Радовиш</option>
+            <option value="28">Ресен</option>
+            <option value="29">Свети Николе</option>
+            <option value="30">Скопје</option>
+            <option value="31">Струга</option>
+            <option value="32">Струмица</option>
+            <option value="33">Тетово</option>
+            <option value="34">Штип</option> *@
+        </select>
+    </div>
+
+    <div class="form-group">
+        <div class="col-md-offset-2 col-md-10">
+            <input type="submit" value="Create" class="btn btn-default" />
+        </div>
+    </div>
+</div>
 }
 
Index: PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -1,3 +1,3 @@
-﻿@model PostgreSqlDotnetCore.Models.VetCenterWithCity
+﻿@model PostgreSqlDotnetCore.Models.VetCenter
 
 @{
@@ -5,50 +5,73 @@
 }
 
-<h2>Details for @Model.vet_center_name</h2>
+<h2>Details</h2>
 
-<table class="table">
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.vet_center_name)</th>
-        <td>@Html.DisplayFor(model => model.vet_center_name)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.adress)</th>
-        <td>@Html.DisplayFor(model => model.adress)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.workinghours)</th>
-        <td>@Html.DisplayFor(model => model.workinghours)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.description)</th>
-        <td>@Html.DisplayFor(model => model.description)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.phonenumber)</th>
-        <td>@Html.DisplayFor(model => model.phonenumber)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.latitude)</th>
-        <td>@Html.DisplayFor(model => model.latitude)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.longitude)</th>
-        <td>@Html.DisplayFor(model => model.longitude)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.city_name)</th>
-        <td>@Html.DisplayFor(model => model.city_name)</td>
-    </tr>
-</table>
+<div>
+    <h4>VetCenter</h4>
+    <hr />
+    <dl class="dl-horizontal">
+        <dt>
+            @Html.DisplayNameFor(model => model.name)
+        </dt>
 
-@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
-{
-    <p>
-        @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
-        @Html.ActionLink("Delete", "Delete", new { id = Model.id })
-    </p>
-}
+        <dd>
+            @Html.DisplayFor(model => model.name)
+        </dd>
 
+        <dt>
+            @Html.DisplayNameFor(model => model.adress)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.adress)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.description)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.description)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.workinghours)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.workinghours)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.phonenumber)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.phonenumber)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.latitude)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.latitude)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.longitude)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.longitude)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.citiesid)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.citiesid)
+        </dd>
+
+
+    </dl>
+</div>
 <p>
+    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
Index: PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -75,5 +75,5 @@
         </div>
     </div> *@
-      @*  <div class="form-group">
+        <div class="form-group">
             <label for="citiesid">Citie:</label>
             <select class="form-control" id="citiesid" name="citiesid">
@@ -84,10 +84,5 @@
             </select>
         </div>
-        *@
-        <div class="form-group">
-            <label asp-for="citiesid" class="control-label"></label>
-            <select asp-for="citiesid" asp-items="ViewBag.Citiess" class="form-control"></select>
-            <span asp-validation-for="citiesid" class="text-danger"></span>
-        </div>
+
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -1,7 +1,5 @@
 ﻿@using Microsoft.AspNetCore.Identity
 @inject SignInManager<IdentityUser> SignInManager
-@* IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>*@
-@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenterWithCity>
-
+@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>
 
 @{
@@ -11,19 +9,11 @@
 <h2>Vet Center</h2>
 
-@*<p>
+<p>
     @Html.ActionLink("Create New", "Create")
 </p>
-*@
-@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
-{
-    <p>
-        @Html.ActionLink("Create New", "Create")
-    </p>
-}
-
 <table class="table">
     <tr>
         <th>
-            @Html.DisplayNameFor(model => model.vet_center_name)
+            @Html.DisplayNameFor(model => model.name)
         </th>
         <th>
@@ -34,9 +24,7 @@
             @Html.DisplayNameFor(model => model.workinghours)
         </th>
-        @*
         <th>
             @Html.DisplayNameFor(model => model.description)
         </th>
-        *@
         <th>
             @Html.DisplayNameFor(model => model.phonenumber)
@@ -49,5 +37,5 @@
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.city_name)
+            @Html.DisplayNameFor(model => model.citiesid)
         </th>
         <th></th>
@@ -58,5 +46,5 @@
         <tr>
             <td>
-                @Html.DisplayFor(modelItem => item.vet_center_name)
+                @Html.DisplayFor(modelItem => item.name)
             </td>
             <td>
@@ -66,8 +54,8 @@
                 @Html.DisplayFor(modelItem => item.workinghours)
             </td>
-           @* <td>
+            <td>
                 @Html.DisplayFor(modelItem => item.description)
             </td>
-            *@
+
             <td>
                 @Html.DisplayFor(modelItem => item.phonenumber)
@@ -80,5 +68,5 @@
             </td>
             <td>
-                @Html.DisplayFor(modelItem => item.city_name)
+                @Html.DisplayFor(modelItem => item.citiesid)
             </td>
             <td>
@@ -89,25 +77,12 @@
             </td>
 
-
-
-            @*   @if ((SignInManager.IsSignedIn(User)))
-        {
-        <td>
-
-        @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-        @Html.ActionLink("Details", "Details", new { id = item.id }) |
-        @Html.ActionLink("Delete", "Delete", new { id = item.id })
-
-        </td>
-        }
-        *@
-
-            @* Додадете условие за проверка на улогите *@
-            @if (SignInManager.IsSignedIn(User) && (ViewBag.hasAccess != null && ViewBag.hasAccess == true))
+            @if (SignInManager.IsSignedIn(User))
             {
                 <td>
+
                     @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
                     @Html.ActionLink("Details", "Details", new { id = item.id }) |
                     @Html.ActionLink("Delete", "Delete", new { id = item.id })
+
                 </td>
             }
